package org.zeroturnaround.javarebel.integration.servlet.websphere;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtMethod;
import org.zeroturnaround.bundled.javassist.NotFoundException;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

/**
 * Transforms <code>com.ibm.ws.jsp.webcontainerext.AbstractJSPExtensionServletWrapper</code>.
 * 
 * @author Rein Raudjärv
 */
public class AbstractJSPExtensionServletWrapperCBP extends JavassistClassBytecodeProcessor {
  
  public void process(ClassPool cp, ClassLoader cl, CtClass ctClass) throws Exception {
    // Refresh the resource if necessary
    try {
      CtMethod m = ctClass.getDeclaredMethod("_checkForTranslation");
      m.insertBefore("context.getRealPath(inputSource.getRelativeURL());");
    } catch (NotFoundException e) {
    }
  }
}
